Subject: GDS and structured field id assignment

From: [email-masked]
Date: Mon, 14 Feb 94 16:08:21 EST

Wayne,
I reviewed the SIG's need for GDS id assignments with the folks who keep
these codepoints.  They would like to handle our request the same way
it is normally done for new IBM architecture, namely:
  - assign the numbers out of the IBM codepoint space (not from the
    "non-IBM reserved block")
  - wait to assign the specific values until right after we reach
    AP (approved pages) status, so we're settled on what we want
Officially, the Architecture Reference SIG will make the assignment.
When I stated that this sounded cumbersome, I was assured that numbers
would be assigned almost immediately upon our request.  I figured this
sounded fine, that we can just use dummy values until the SIG RFC
reaches AP status.

As far as the GDS patent you mentioned, we will avoid requiring a license
by not defining a continuation bit in the GDS length field.  We can use the
high-order bit as a regular part of the length field, allowing a max-
imum information field of 65,531 bytes.  I think we can probably squeak
by with that!

Regarding the key values in the structured fields, we felt these are
within the domain of the DLSw SIG, need no IBM assignment, and
shouldn't be reflected in any SNA architecture documents.  If anyone
disagrees, please let me know.

Peter